Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sde
Class SDEInsertHandler

    java.lang.Object
      org.deegree.io.datastore.sde.AbstractSDERequestHandler
          org.deegree.io.datastore.sde.SDEInsertHandler

    public class SDEInsertHandler

extends AbstractSDERequestHandler

Handler for `Insert` operations (usually contained in `Transaction` requests).

Version:
  $Revision: 23585 $
Author:
  Christoph Pollmann, last edited by: $Author: aschmitz $

Field Summary

Fields inherited from class org.deegree.io.datastore.sde.AbstractSDERequestHandler
`aliasGenerator, conn, datastore, FT_COLUMN, FT_PREFIX`

Constructor Summary
`SDEInsertHandler(SDETransaction dsTa)` Creates a new `InsertHandler` from the given parameters.

Method Summary
`List<FeatureId>` | `performInsert(List<Feature> features)` Inserts the given feature instance into the datastore.

Methods inherited from class org.deegree.io.datastore.sde.AbstractSDERequestHandler
`buildColumnsMap, buildInitialFIDSelect, buildMappingFieldMap, determineAffectedFIDs, extractFeatureIds, getAliasGenerator, getConnection, getDatastore, getFeatureIdColumns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDEInsertHandler

    public SDEInsertHandler(SDETransaction dsTa)

  Creates a new `InsertHandler` from the given parameters.

  Parameters:
    `dsTa` -

Method Detail

### performInsert

    public List<FeatureId> performInsert(List<Feature> features)
                                  throws DatastoreException

  Inserts the given feature instance into the datastore.

  Parameters:
    `features` - (which have a MappedFeatureType as feature type)
  Returns:
    feature ids of inserted (root) feature instances
  Throws:
    `DatastoreException` - if the insert could not be performed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org